cURL
curl --request GET \ --url https://api.decodahealth.com/forms/{form_path} \ --header 'API-KEY: <api-key>' \ --header 'TENANT: <tenant>'
{ "id": "<string>", "name": "<string>", "patientId": "<string>", "blocks": [ { "blockType": "DYNAMIC", "name": "<string>", "position": 123, "id": "<string>", "answers": [ { "question": { "id": "<string>", "blockId": "<string>", "formId": "<string>", "position": 123, "questionType": "ADDRESS", "required": true, "data": { "name": "<string>", "description": "<string>" }, "isArchived": false, "mappingKey": "<string>", "externalId": "<string>", "conditions": [] }, "data": "<string>" } ], "description": "<string>" } ], "description": "<string>", "completed": true, "isCompleted": false, "expiresAt": "2023-11-07T05:31:56Z", "isExpired": false }
The tenant you are making this request on behalf of
Your api key
Successful Response
Show child attributes